Skip to content
Start here

Export DNS Records

GET/zones/{zone_id}/dns_records/export

You can export your BIND config through this endpoint.

See the documentation for more information.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DNS ReadDNS Write
Path ParametersExpand Collapse
zone_id: string

Identifier.

maxLength32

Export DNS Records

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/dns_records/export \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
Returns Examples